  /**
    * @file FlickerFT90x.c
    * @brief This module contains the implementation of the flicker hardware
    * function.
    *
    * @author Stefan Popovic
    *
    * @date 11/10/2016
    *
    * @version 0.1a
    *
    * @copyright GNU Public License
    *
    * Test configuration:
    *
    * MCU: FT900
    * Dev.Board: EasyFT90x v7
    * External Clock 100.0000 MHz
    * Ext. Modules: Flicker Click Board
    * SW: MikroC PRO for FT90x v2.0.0
    *
    * NOTES:
      - Flicker board is essentially timer delay relay with two potentiometers: 
        P1 for ON and P2 for OFF timer with the ON time range of (0.1 - 6) sec
      - By using potentiometers P1 and P2, you can adjust the ON / OFF period
      - Place Flicker click board on mikroBUS slot 1 or slot 2
      - Turn ON the GPIO_PORT_00_07 LEDs at SW8.1
      - Pull-up switch SW1.1 (VCC position) and
      - FON: GP01/Slot 1 | GP04/Slot 2


    /**************************************************************************
    * Module Preprocessor Constants
    **************************************************************************/


    /**************************************************************************
    * Module Preprocessor Macros
    **************************************************************************/


    /**************************************************************************
    * Module Typedefs
    **************************************************************************/


     /**************************************************************************
     * Includes
     **************************************************************************/


    /**************************************************************************
    * Module Variable Definitions
    **************************************************************************/

    void main()
    {
      // Set GPIO_PIN1 and GPIO_PIN4  as digital input
      GPIO_Digital_Input(&GPIO_PORT_00_07, _GPIO_PINMASK_1 |  _GPIO_PINMASK_4);
      // While Button is held, the onboard LED will blink according to ON/OFF timer
      // For example, connect beeper from digital multimeter on terminal
      // Endless loop
      while(1);
    }